Bug 1308993 - [GSS](6.4.z) SessionSynchronization callbacks allow concurrent access to SFSB
[GSS](6.4.z) SessionSynchronization callbacks allow concurrent access to SFSB
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ryan Emerson
Jan Martiska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 11:42 EST by Brad Maxwell
Modified: 2016-12-19 11:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-19 11:28:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP7-513 Critical Closed Redesign EJB Locking 2017-08-09 07:22 EDT
JBoss Issue Tracker JBEAP-3448 Critical Verified [GSS](7.1.0) SessionSynchronization callbacks allow concurrent access to SFSB 2017-08-09 07:22 EDT
JBoss Issue Tracker JBPAPP-11239 Critical Pending Upload to Patch Repository EAP 5.2.0: Implement AOP interceptor stack for Session synch callbacks 2017-08-09 07:22 EDT
JBoss Issue Tracker WFLY-6215 Critical Resolved SessionSynchronization callbacks allow concurrent access to SFSB 2017-08-09 07:22 EDT

  None (edit)
Description Brad Maxwell 2016-02-16 11:42:00 EST
Assume a local SFSB, B1, with container managed transactions and a calling SFSB, B2, which has bean managed transactions. B1 implements the SessionSynchronization interface.

When B2's bean managed transaction timesout whilst executing B1.exampleMethod(), B2's transaction aborts and the transaction reaper thread calls B1.afterCompletion(). However, the original worker thread that was executing B1.exampleMethod() continues to execute B1.exampleMethod() until it has completed. Hence it is possible for the B1 SFSB to be accessed concurrently. It is also possible for B1.afterCompletion() to finish executing before B1.exampleMethod().
Comment 2 JBoss JIRA Server 2016-04-06 03:32:41 EDT
Jan Martiska <jmartisk@redhat.com> updated the status of jira JBPAPP-11239 to Pending Upload to Patch Repository
Comment 5 Brad Maxwell 2016-12-19 11:28:09 EST
Deferred to EAP 7.1 -> JBEAP-3448

Note You need to log in before you can comment on or make changes to this bug.